JsonParseException (Gson 2.2.3 API)
Date: 2013-04-12

com.google.gson

## Class JsonParseException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.google.gson.JsonParseException

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    JsonIOException, JsonSyntaxException

      public class JsonParseException
      extends RuntimeException

  This exception is raised if there is a serious issue that occurs during parsing of a Json string. One of the main usages for this class is for the Gson infrastructure. If the incoming Json is bad/malicious, an instance of this exception is raised.

  This exception is a `RuntimeException` because it is exposed to the client. Using a `RuntimeException` avoids bad coding practices on the client side where they catch the exception and do nothing. It is often the case that you want to blow up if there is a parsing error (i.e. often clients do not know how to recover from a `JsonParseException`.

  Author:
    Inderjeet Singh, Joel Leitch
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JsonParseException(String msg)` Creates exception with the specified message.
    `JsonParseException(String msg, Throwable cause)` Creates exception with the specified message and cause.
    `JsonParseException(Throwable cause)` Creates exception with the specified cause.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JsonParseException

          public JsonParseException(String msg)

      Creates exception with the specified message. If you are wrapping another exception, consider using `JsonParseException(String, Throwable)` instead.
      Parameters:
        `msg` - error message describing a possible cause of this exception.

    - #### JsonParseException

          public JsonParseException(String msg,
                            Throwable cause)

      Creates exception with the specified message and cause.
      Parameters:
        `msg` - error message describing what happened.
        `cause` - root exception that caused this exception to be thrown.

    - #### JsonParseException

          public JsonParseException(Throwable cause)

      Creates exception with the specified cause. Consider using `JsonParseException(String, Throwable)` instead if you can describe what happened.
      Parameters:
        `cause` - root exception that caused this exception to be thrown.

Copyright © 2008-2013 Google, Inc.. All Rights Reserved.